Subject: bug#25360: File mode specification errors during building

From: "Phillip Lord" <[email-masked]>
Date: Mon, 6 Mar 2017 21:25:54 -0000

On Mon, March 6, 2017 8:53 pm, Eli Zaretskii wrote:
>> From: Noam Postavsky <[email-masked]>
>> Date: Mon, 6 Mar 2017 14:56:35 -0500
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
>>
>>
>> This still fails on Windows with
>>
>>
>> GEN      ../../lisp/net/tramp-loaddefs.el
>> Symbol's function definition is void: w32-convert-standard-filename
>> make[2]: *** [Makefile:404: ../../lisp/net/tramp-loaddefs.el] Error 127
>>
>>
>> After reverting 1b9463051823 "Remove conditional includes from
>> bootstrap" and deleting bootstrap-emacs.exe, I was able to build
>> successfully.
>
> Hmm... I don't get it: why did that commit make Emacs bypass loading
> important packages when invoked with "loadup bootstrap"?  Phillip, can you
> explain the rationale?

Long story. Don't bother, it's going anyway, I just missed that one.

Here's a question, though. Why does files.el use
w32-convert-standard-filename, a function which is not actually
autoloaded? Ditto dos-convert-standard-filename.